%define     oname  adjustableclock
Summary:	Show date and time in adjustable format
Name:		plasma-applet-adjustableclock
Version: 	2.2
Release: 	%mkrel 1
Source0:        92825-%{oname}-%{version}.tar.bz2
License: 	GPLv3
Group: 		Graphical desktop/KDE
Url: 		http://www.kde-look.org/content/show.php/Adjustable+Clock?content=92825
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  rpmlib(CompressedFileNames) <= 3.0.4-1
BuildRequires:  kde4-macros
BuildRequires:  kdelibs4-devel
BuildRequires:  qt4-devel
BuildRequires:  cmake


%description 
Plasmoid to show date and time in adjustable format using rich text.

Hint
You can use advanced WebKit features, for example use CSS to create reflections:

-webkit-box-reflect:below 5px -webkit-gradient(linear, left top, left bottom, from(transparent),
 color-stop(0.5, transparent), to(white));

And much more. ;-)


%files
%defattr(-,root,root)

%{_kde_libdir}/kde4/plasma_applet_adjustableclock.so
%{_kde_datadir}/kde4/services/plasma-applet-adjustableclock.desktop
%{_kde_datadir}/locale/*


%prep
%setup -q -n %{oname}-%{version}


%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
cd build
%{makeinstall_std}
cd -


%clean
rm -rf %{buildroot}


%changelog
* Sat Jul 4 2010 Dal Magro Maurizio <mauriziodm@mandrivaclub.be> 
- Rebuild for Mandriva 2010.1

* Thu Nov 12 2009 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- New version 2.2
